- name: Deploy blockstore
  hosts: all
  become: True
  gather_facts: True
  vars:
    ENABLE_NEWRELIC: True
    CLUSTER_NAME: 'blockstore'
  roles:
    - role: aws
      when: COMMON_ENABLE_AWS_ROLE
    - role: nginx
      nginx_default_sites:
        - blockstore 
    - blockstore 
    - role: splunkforwarder
      when: COMMON_ENABLE_SPLUNKFORWARDER
    - role: newrelic_infrastructure
      when: COMMON_ENABLE_NEWRELIC_INFRASTRUCTURE
    - role: hermes
      HERMES_TARGET_SERVICE: 'blockstore'
      when: BLOCKSTORE_HERMES_ENABLED
